cage(1)

NAME

cage - a Wayland kiosk compositor

SYNOPSIS

cage [options...] [--] [application...]

DESCRIPTION

Cage runs a single, maximized application. Cage can run multiple applications, but only a single one is visible at any point in time. User interaction and activities outside the scope of the running application are prevented.

OPTIONS

-d
    Don't draw client side decorations when possible.

-D
    Enable debug logging.

-h
    Show the help message.

-m <mode>
    Set the multi-monitor behavior. Supported modes are: last Cage uses only the last connected monitor. extend Cage extends the display across all connected monitors.

-s
    Allow VT switching

-v
    Show the version number and exit.

ENVIRONMENT

DISPLAY
    If compiled with Xwayland support, this will be set to the name of the X display used for Xwayland. Otherwise, probe the X11 backend.

WAYLAND_DISPLAY
    Specifies the name of the Wayland display that Cage is running on.

XCURSOR_PATH
    Directory where cursors are located.

XCURSOR_SIZE
    Specifies the configured cursor size.

XCURSOR_THEME
    Specifies the configured cursor theme.

XKB_DEFAULT_RULES, XKB_DEFAULT_MODEL, XKB_DEFAULT_LAYOUT, XKB_DEFAULT_VARIANT, XKB_DEFAULT_OPTIONS
    Configures the xkb keyboard settings. See xkeyboard-config(7).

SEE ALSO

xkeyboard-config(7)

BUGS

Report bugs at https://github.com/cage-kiosk/cage

AUTHORS

Jente Hidskes <dev@hjdskes.nl>